cereal::traits::detail::has_minimal_base_class_serialization_impl< Cast, Test, Archive, IsBaseCast > Struct Template Reference

Base class cast, behave as the test. More...

`#include </home/shane/workspace/cereal/include/cereal/details/traits.hpp>`

Inheritance diagram for cereal::traits::detail::has_minimal_base_class_serialization_impl< Cast, Test, Archive, IsBaseCast >:

## Detailed Description

### template<class Cast, template< class, class > class Test, class Archive, bool IsBaseCast = std::is_base_of<BaseCastBase, Cast>::value>
struct cereal::traits::detail::has_minimal_base_class_serialization_impl< Cast, Test, Archive, IsBaseCast >

Base class cast, behave as the test.

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/details/traits.hpp